petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMRegisterAll

Registers all of the DM components in the DM package.

### Synopsis

    #include "petscdm.h"
    #include "petscdmplex.h"
    PetscErrorCode  DMRegisterAll(void)

Not Collective

### Input parameter

path -The dynamic library path

### Keywords

DM, register, all

### See Also

DMRegister(), DMRegisterDestroy()

### Level

advanced

### Location

src/dm/interface/dmregall.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages